Subject: bug#68988: closed (Re: [PATCH] gnu: linux-libre 6.7: Modify .conf files.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 20 Feb 2024 17:16:02 +0000

Your bug report

#68988: All arm64/aarch64 platforms disabled in linux-libre 6.7.x!

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68988: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68988
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: linux-libre 6.7: Modify .conf files.
From: Leo Famulari <[email-masked]>
To: Wilko Meyer <[email-masked]>
Cc: [email-masked]
Date: Tue, 20 Feb 2024 12:14:45 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed as 877abbdae790deaacf30af8a845e2290c39e10ff

Subject: All arm64/aarch64 platforms disabled in linux-libre 6.7.x!
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Cc: Wilko Meyer <[email-masked]>, Tobias Geerinckx-Rice <[email-masked]>, Leo Famulari <[email-masked]>
Date: Wed, 07 Feb 2024 18:12:16 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

The linux-libre 6.7.x package contains ... as far as I can tell, no
supported arm64/aarch64 platforms! This is a pretty significant
regression from the linux-libre 6.6.x packaging!

This appears to have been introduced in
95a3aaf7ad37bb0717f2c9e3faf6f636b586d133

Unfortunately it is all too easy to drop features with non-x86
platforms... especially if you run make *config from an x86 machine.

For example:

diff -u /gnu/store/dnism9x21x0x15k91ngis54w6pcf7gmi-linux-libre-6.6.12/.config /gnu/store/a6xc9aad9kv8xpy7i94ga74h6hs7gdvk-linux-libre-6.7.3/.config | grep -A20 '# Platform selection'
 # Platform selection
 #
 # CONFIG_ARCH_ACTIONS is not set
-CONFIG_ARCH_SUNXI=y
+# CONFIG_ARCH_SUNXI is not set
 # CONFIG_ARCH_ALPINE is not set
-CONFIG_ARCH_APPLE=y
-CONFIG_ARCH_BCM=y
-CONFIG_ARCH_BCM2835=y
-# CONFIG_ARCH_BCM_IPROC is not set
-CONFIG_ARCH_BCMBCA=y
-# CONFIG_ARCH_BRCMSTB is not set
+# CONFIG_ARCH_APPLE is not set
+# CONFIG_ARCH_BCM is not set
 # CONFIG_ARCH_BERLIN is not set
-CONFIG_ARCH_BITMAIN=y
+# CONFIG_ARCH_BITMAIN is not set
 # CONFIG_ARCH_EXYNOS is not set
 # CONFIG_ARCH_SPARX5 is not set
 # CONFIG_ARCH_K3 is not set
 # CONFIG_ARCH_LG1K is not set

There are basically no CONFIG_ARCH platforms enabled!

I am not sure that all the previous platforms were intentionally added,
but at the very least SUNXI, ROCKCHIP, BCM2835 and probably quite a few
others should be added back. I am currently running Guix System in a
virtualized environment, but in the past I've run it on a sunxi systems
such as pinebook and pine64+... and rockchip systems such as
pinebook-pro, rock64-rk3328 and rockpro64-rk3399.

This also makes me wonder what other more subtle features got dropped
along the way, as well as platform support for other architectures... :/

I don't have the time at the moment to come up with a patch, but 6.7.x
should probably not become the default linux-libre until this is
at least partly fixed...

live well,
  vagrant